pali pushed to cherokee (el5). "Merge branch 'master' into f14"

notifications at fedoraproject.org notifications at fedoraproject.org
Wed Apr 15 20:59:52 UTC 2015


>From 63f335eca2512c098a76dc549ce6c878b6cb32f5 Mon Sep 17 00:00:00 2001
From: Lorenzo Villani <lvillani at binaryhelix.net>
Date: Wed, 1 Sep 2010 19:06:08 +0200
Subject: - hide stdout messages in cherokee.init - bump specfile (and make
 rpmlint happier)


diff --git a/cherokee.init b/cherokee.init
index f8ffbb0..5b88555 100755
--- a/cherokee.init
+++ b/cherokee.init
@@ -38,7 +38,7 @@ start() {
     [ -x $exec ] || exit 5
     [ -f $config ] || exit 6
     echo -n $"Starting $prog: "
-    daemon --pidfile $pidfile $exec -d -C $config
+    daemon --pidfile $pidfile $exec -d -C $config >&/dev/null && success || failure
     retval=$?
     echo
     [ $retval -eq 0 ] && touch $lockfile
@@ -47,7 +47,7 @@ start() {
 
 stop() {
     echo -n $"Stopping $prog: "
-    killproc -p $pidfile $prog
+    killproc -p $pidfile $prog 2>/dev/null && success || failure
     retval=$?
     echo
     [ $retval -eq 0 ] && rm -f $lockfile
diff --git a/cherokee.spec b/cherokee.spec
index ac9a49d..bdcf300 100644
--- a/cherokee.spec
+++ b/cherokee.spec
@@ -12,7 +12,7 @@ ExcludeArch:    ppc
 
 Name:           cherokee
 Version:        1.0.8
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Flexible and Fast Webserver
 
 Group:          Applications/Internet
@@ -30,7 +30,7 @@ BuildRequires:  openssl-devel pam-devel mysql-devel pcre
 # BuildRequires:  pcre-devel
 BuildRequires:  gettext
 # For spawn-fcgi
-Requires:	 spawn-fcgi
+Requires:        spawn-fcgi
 Requires(post):  chkconfig
 Requires(preun): chkconfig
 Requires(preun): initscripts
@@ -157,7 +157,7 @@ fi
 %doc %{_mandir}/man1/cherokee-tweak.1*
 %doc %{_mandir}/man1/cherokee-admin.1*
 %doc %{_mandir}/man1/cherokee-worker.1*
-# %%doc %{_mandir}/man1/spawn-fcgi.1*
+# doc {_mandir}/man1/spawn-fcgi.1*
 %dir %{_var}/www/
 %dir %{_var}/www/%{name}/
 %dir %{_var}/www/%{name}/images/
@@ -179,6 +179,10 @@ fi
 
 
 %changelog
+* Wed Sep  1 2010 Lorenzo Villani <lvillani at binaryhelix.net> - 1.0.8-2
+- Merge changes to cherokee.init from Pavel Lisý (hide cherokee's
+  stdout messages)
+
 * Sun Aug 29 2010 Lorenzo Villani <lvillani at binaryhelix.net> - 1.0.8-1
 - New upstream release (1.0.8)
 - Init script overhaul
@@ -371,7 +375,7 @@ fi
 - updated to 0.99.20
 
 * Sun Jun 14 2009 Pavel Lisy <pavel.lisy at gmail.com> - 0.99.17-2
-- .spec changes in %files section
+- .spec changes in files section
 
 * Sun Jun 14 2009 Pavel Lisy <pavel.lisy at gmail.com> - 0.99.17-1
 - updated to 0.99.17
-- 
cgit v0.10.2


	http://pkgs.fedoraproject.org/cgit/cherokee.git/commit/?h=el5&id=836c33d3afdc87598e680184384175e3969c0d82


More information about the scm-commits mailing list